Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.applet
Class BusinessApplet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      javax.swing.JApplet
                          de.jsystems.framework.applet.BusinessApplet

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable

public abstract class BusinessApplet
extends JApplet

Diese Klasse stellt Standardfunktionalität für ein Applet dar. Das Applet enthält ein Menü, eine Statusleiste und eine Toolbar. Mit Hilfe des zugehörigen Controllers kann ein Standardmenü oder eine Standardtoolbar erzeugt werden. Diese brauchen dann nur noch im Applet gesetzt zu werden.

Die anzuzeigende Oberfläche(BusinessView) wird durch eine Methode gesetzt. Der direkte Aufruf der Methode `getContentPane()` zum hinzufügen sollte nicht benutzt werden. Die Oberfläche muß vom Typ BusinessView sein.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JApplet
`JApplet.AccessibleJApplet`

Nested classes inherited from class java.applet.Applet
`Applet.AccessibleApplet`

Nested classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected BusinessAppletController` | `appletController` Controller für dieses Applet

Fields inherited from class javax.swing.JApplet
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessApplet()` Konstruktor des Applets.

Method Summary
`BusinessAppletController` | `getAppletController()` Gibt den Controller zurück.
`abstract void` | `init()` Initialisiert das Applet.
`void` | `setAppletController(BusinessAppletController appletController)` Setzt den Controller für dieses Applet.
`void` | `setView(BusinessView appletView)` Fügt die View zum Applet hinzu.
`abstract void` | `start()` Startet die Ausführung des Applets, sobald es in den sichtbaren Bereich des Browsers kommt.
`abstract void` | `stop()` Stoppt die Ausführung des Applets, sobald es aus dem sichtbaren Bereich des Browsers verschwindet.

Methods inherited from class javax.swing.JApplet
`addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.applet.Applet
`destroy, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### appletController

    protected BusinessAppletController appletController

  Controller für dieses Applet

Constructor Detail

### BusinessApplet

    public BusinessApplet()

  Konstruktor des Applets. Hier wird das Layout auf BorderLayout gesetzt..

Method Detail

### setView

    public void setView(BusinessView appletView)

  Fügt die View zum Applet hinzu. Diese wird im Centerbereich des Layouts angezeigt. Da hier immer nur eine View zum Applet hinzugefuegt werden kann, die dann auch sichtbar ist, muß es sich hierbei sozusagen um die Hauptview des Applets handeln. Dieser View werden dann alle anderen Oberflaechen hinzugefuegt. Das passiert dann aber mit den entsprechenden Methoden der View, nicht mehr hier in der Applet-Klasse.

  Parameters:
    `appletView` - Die Hauptview fuer das Applet.

### start

    public abstract void start()

  Startet die Ausführung des Applets, sobald es in den sichtbaren Bereich des Browsers kommt. Muß in abgeleiteten Klassen überschrieben werden.

### stop

    public abstract void stop()

  Stoppt die Ausführung des Applets, sobald es aus dem sichtbaren Bereich des Browsers verschwindet. Muß in abgeleiteten Klassen überschrieben werden.

### init

    public abstract void init()

  Initialisiert das Applet. Muß in abgeleiteten Klassen überschrieben werden.

### setAppletController

    public void setAppletController(BusinessAppletController appletController)

  Setzt den Controller für dieses Applet.

  Parameters:
    `appletController` - Der Controller fuer das Applet.

### getAppletController

    public BusinessAppletController getAppletController()

  Gibt den Controller zurück.

  Returns:
    Der Controller fuer das Applet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD